Invocation (EasyMock 3.2 API)
Date: 2013-07-11

org.easymock.internal

## Class Invocation

- java.lang.Object
- - org.easymock.internal.Invocation

- All Implemented Interfaces:
    Serializable

      public class Invocation
      extends Object
      implements Serializable

  Author:
    OFFIS, Tammo Freese
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Invocation(Object mock, Method method, Object[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCapture(Captures<Object> capture, Object value)`
    `void` | `clearCaptures()`
    `boolean` | `equals(Object o)`
    `Object[]` | `getArguments()`
    `Method` | `getMethod()`
    `Object` | `getMock()`
    `String` | `getMockAndMethodName()`
    `int` | `hashCode()`
    `static boolean` | `isJavaIdentifier(String mockName)`
    `String` | `toString()`
    `void` | `validateCaptures()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Invocation

          public Invocation(Object mock,
                    Method method,
                    Object[] args)

  - ### Method Detail

    - #### getMock

          public Object getMock()

    - #### getMethod

          public Method getMethod()

    - #### getArguments

          public Object[] getArguments()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMockAndMethodName

          public String getMockAndMethodName()

    - #### addCapture

          public void addCapture(Captures<Object> capture,
                        Object value)

    - #### validateCaptures

          public void validateCaptures()

    - #### clearCaptures

          public void clearCaptures()

    - #### isJavaIdentifier

          public static boolean isJavaIdentifier(String mockName)

Copyright © 2001-2013 OFFIS, Tammo Freese, Henri Tremblay. All Rights Reserved.